Bug 1894267 - Provide an ability to turn off rollbackcopier
Summary: Provide an ability to turn off rollbackcopier
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.5.z
Assignee: Dan Mace
QA Contact: ge liu
URL:
Whiteboard:
: 1909586 (view as bug list)
Depends On: 1896894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-03 21:36 UTC by Suresh Kolichala
Modified: 2021-01-23 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1896894 (view as bug list)
Environment:
Last Closed: 2020-12-01 10:48:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 494 0 None closed Bug 1894267: Remove the rollbackcopier 2021-02-15 16:31:54 UTC
Red Hat Product Errata RHSA-2020:5194 0 None None None 2020-12-01 10:49:34 UTC

Description Suresh Kolichala 2020-11-03 21:36:47 UTC
Description of problem:
Currently there is no option to turn off rollbackcopy sidecar container, which periodically takes snapshots of the etcd database and writes to disk. The action of snapshotting state itself is mostly non blocking but its a major I/O event. 

When the database is huge (in Gbs), writing the huge data to the disk can impact other disk operations, and results in fsync delays in etcd metrics.

Version-Release number of selected component (if applicable):


How reproducible:
All 4.4 and 4.5 have a sidecar implementation of periodic rollbackcopy

Steps to Reproduce:
1. Install 4.5
2. On leader node, notice snapshots being taken hourly into /etc/kubernetes/rollbackcopy directory

Actual results:
Snapshots are generated every hour on the leader node.

Expected results:
With option to turn off, the snapshots are no longer generated.


Additional info:

Comment 6 errata-xmlrpc 2020-12-01 10:48:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.21 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5194

Comment 7 Sam Batschelet 2021-01-23 16:50:09 UTC
*** Bug 1909586 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.